## copyright-update 2010.0305+git802430a

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 2002-2010 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= copyright-update
DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc/$(PACKAGE)
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

TAR		= tar
TAR_OPT_NO	= --exclude='.build'	 \
		  --exclude='.sinst'	 \
		  --exclude='.inst'	 \
		  --exclude='tmp'	 \
		  --exclude='*.bak'	 \
		  --exclude='*[~\#]'	 \
		  --exclude='.\#*'	 \
		  --exclude='CVS'	 \
		  --exclude='.svn'	 \
		  --exclude='.git'	 \
		  --exclude='.bzr'	 \
		  --exclude='*.tar*'	 \
		  --exclude='*.tgz'

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

DIST_DIR	= ../build-area
DATE		= `date +"%Y.%m%d"`
VERSION		= $(DATE)
RELEASE		= $(PACKAGE)-$(VERSION)

BIN		= $(PACKAGE)
PL_SCRIPT	= bin/$(BIN).pl

INSTALL_OBJS_BIN   = $(PL_SCRIPT)
INSTALL_OBJS_DOC   = README COPYING
INSTALL_OBJS_MAN   = bin/*.1

all:
	@echo "Nothing to compile."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	-rm -f *[#~] *.\#* \
	*.x~~ pod*.tmp

	rm -rf tmp

distclean: clean

realclean: clean

dist-git: test
	rm -f $(DIST_DIR)/$(RELEASE)*

	git archive --format=tar --prefix=$(RELEASE)/ master | \
	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz

	chmod 644 $(DIST_DIR)/$(RELEASE).tar.gz

	tar -tvf $(DIST_DIR)/$(RELEASE).tar.gz | sort -k 5
	ls -la $(DIST_DIR)/$(RELEASE).tar.gz

# The "gt" is maintainer's program frontend to Git
# Rule: dist-snap - [maintainer] release snapshot from Git repository
dist-snap: test
	@echo gt tar -q -z -p $(PACKAGE) -c -D master

# Rule: dist - [maintainer] release from Git repository
dist: dist-git

dist-ls:
	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

# Rule: dist - [maintainer] list of release files
ls: dist-ls

bin/$(PACKAGE).1: $(PL_SCRIPT)
	$(PERL) $< --help-man > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).html: $(PL_SCRIPT)
	$(PERL) $< --help-html > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/$(PACKAGE).txt: $(PL_SCRIPT)
	$(PERL) $< --help > $@
	@-rm -f *.x~~ pod*.tmp

doc/conversion/index.html: doc/conversion/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

# Rule: man - Generate or update manual page
man: bin/$(PACKAGE).1

html: doc/manual/$(PACKAGE).html

txt: doc/manual/$(PACKAGE).txt

# Rule: doc - Generate or update all documentation
doc: man html txt

# Rule: perl-test - Check program syntax
perl-test:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)
	podchecker $(PL_SCRIPT)

# Rule: test - Run tests
test: perl-test

install-doc:
	# Rule install-doc - Install documentation
	$(INSTALL_BIN) -d $(DOCDIR)

	[ ! "$(INSTALL_OBJS_DOC)" ] || \
		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)

	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
	$(TAR) -C $(DOCDIR) --extract --file=-

install-man: man
	# install-man - Install manual pages
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin:
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man install-doc

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/usr install
	find tmp | sort

.PHONY: clean distclean realclean
.PHONY: install install-bin install-man
.PHONY: all man doc test install-test perl-test
.PHONY: dist dist-git dist-ls ls

# End of file

=== debian/changelog ===
copyright-update (2010.0305+git802430a-1) unstable; urgency=low

  * Initial release (Closes: #571011).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 05 Mar 2010 09:24:34 +0200

=== debian/control ===
Source: copyright-update
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/copyright-update.git
Vcs-Git: git://git.debian.org/git/collab-maint/copyright-update.git
Homepage: http://freshmeat.net/projects/copyright-update

Package: copyright-update
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}
Description: update copyright information in files
 Update the copyright information in set of files, possibly
 recursively, matching content criteria. The updating affects
 copyright year, GPL address information etc.

## copyright-update 2010.0307+git23ecad8

=== Makefile ===
--- 
+++ 
@@ -99,7 +99,7 @@
 
 realclean: clean
 
-dist-git: test
+dist-git: test doc
 	rm -f $(DIST_DIR)/$(RELEASE)*
 
 	git archive --format=tar --prefix=$(RELEASE)/ master | \
@@ -112,7 +112,7 @@
 
 # The "gt" is maintainer's program frontend to Git
 # Rule: dist-snap - [maintainer] release snapshot from Git repository
-dist-snap: test
+dist-snap: test doc
 	@echo gt tar -q -z -p $(PACKAGE) -c -D master
 
 # Rule: dist - [maintainer] release from Git repository

=== debian/changelog ===
copyright-update (2010.0307+git23ecad8-2) unstable; urgency=low

  * debian/control
    - (Architecture): set to 'all' (Closes: #583434).
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/compat
    - Update to 8.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 11 Oct 2010 12:45:29 +0300

copyright-update (2010.0307+git23ecad8-1) unstable; urgency=low

  * New upstream release.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Mar 2010 15:23:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/copyright-update.git
 Vcs-Git: git://git.debian.org/git/collab-maint/copyright-update.git
 Homepage: http://freshmeat.net/projects/copyright-update
 
 Package: copyright-update
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}
 Description: update copyright information in files
  Update the copyright information in set of files, possibly

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = copyright-update
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

install:
	# target: install
	dh_testdir
	dh_prep
	dh_install
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install
	# Only manual pages, remove
	rm -rf $(DOCDIR)

binary-indep: install
	# target: binary-indep -- Build architecture independent files
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

%:
	dh  $@

.PHONY: install
.PHONY: binary binary-indep

# End of file

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-webget
# http://download.savannah.gnu.org/releases/perl-webget/
# http://mirrors.zerg.biz/nongnu/copyright-update/ copy.*-([\d.]+).*\.tar\.gz

# NOTE: This project is packaged directly from upstream Git. See
# copyright file for URL to project page.

## copyright-update 2013.0602

=== debian/changelog ===
copyright-update (2013.0602-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to Format 1.0.
  * debian/compat
    - Update to 9.
  * debian/rules
    - Simplify.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 Jun 2013 12:59:03 +0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
-Vcs-Browser: http://git.debian.org/?p=collab-maint/copyright-update.git
-Vcs-Git: git://git.debian.org/git/collab-maint/copyright-update.git
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/copyright-update.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/copyright-update.git
 Homepage: http://freshmeat.net/projects/copyright-update
 
 Package: copyright-update

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = copyright-update
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install
	# Contains only copies of manual pages
	rm -rf $(DOCDIR)

%:
	dh $@

# End of file

## copyright-update 2016.1018

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2010 Jari Aalto
+#	Copyright (C) 2002-2016 Jari Aalto
 #
 #   License
 #
@@ -85,7 +85,7 @@
 
 # Rule: help - display Makefile rules
 help:
-	grep "^# Rule:" Makefile | sort
+	@grep "^# Rule:" Makefile | sort
 
 # Rule: clean - remove temporary files
 clean:
@@ -101,6 +101,7 @@
 
 dist-git: test doc
 	rm -f $(DIST_DIR)/$(RELEASE)*
+	mkdir -p $(DIST_DIR)
 
 	git archive --format=tar --prefix=$(RELEASE)/ master | \
 	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz
@@ -115,9 +116,10 @@
 dist-snap: test doc
 	@echo gt tar -q -z -p $(PACKAGE) -c -D master
 
-# Rule: dist - [maintainer] release from Git repository
+# Rule: dist-git - [maintainer] release from Git repository
 dist: dist-git
 
+# Rule: dist-ls - [maintainer] List release files in achive
 dist-ls:
 	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

=== debian/changelog ===
copyright-update (2016.1018-6) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Add "tests.sh".
  * debian/tests/tests.sh: New test script.

 -- Hermann Reuter <hermannreuter37@gmail.com>  Wed, 12 Jun 2024 23:03:57 -0300

copyright-update (2016.1018-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:49:41 +0000

copyright-update (2016.1018-4) unstable; urgency=medium

  * QA upload.
  * debian/control: Update Vcs-* fields to use Debian GitLab.
  * debian/control: Bump Standards-Version to 4.5.1.
  * debian/control: Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Feb 2021 12:16:58 -0500

copyright-update (2016.1018-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920063)
  * Added tests (CI).
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Set Multi-Arch: foreign.
  * debian/copyright: using https in Format field and fixed upstream date
      in Copyright field.
  * debian/patches
      - (10): New. Fixed typos in manual page and application messages.
  * debian/watch: bumped version to 4.

 -- Pedro Vaz de Mello de Medeiros <pedro.medeiros@gmail.com>  Mon, 22 Jul 2019 20:11:18 -0300

copyright-update (2016.1018-2) unstable; urgency=medium

  * debian/watch
    - Fix "(...) the last attempt to use it for checking for newer
      upstream versions failed with an error" by adding URL
      to Github tags,

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 29 Oct 2016 18:35:19 +0300

copyright-update (2016.1018-1) unstable; urgency=medium

  * New upstream release.
    - Use UTF-8 encoded copyright sign (Closes: 814751).
      Patch thanks to Philipp Büttgenbach <philipp.buettgenbach@gmail.com>.
  * debian/copyright
    - (Source, X-Upstream-*): Update URLs.
  * debian/control
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 18 Oct 2016 21:28:41 +0300

=== debian/control ===
Source: copyright-update
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian/copyright-update
Vcs-Git: https://salsa.debian.org/debian/copyright-update.git
Homepage: https://github.com/jaalto/project--copyright-update

Package: copyright-update
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${perl:Depends}
Description: update copyright information in files
 Update the copyright information in set of files, possibly recursively,
 matching content criteria. The updating affects copyright year, GPL address
 information etc.

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,3 @@
 
 %:
 	dh $@
-
-# End of file

## copyright-update 2025.0404

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2002-2016 Jari Aalto
+#	Copyright (C) 2002-2025 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
copyright-update (2025.0404-1) unstable; urgency=medium

  * New upstream release
    - Update URLs from Freecode to Github
    - Point URLs to Github
    - Update copyright years
    - copyright-update.pl: (Help::=pod): proof read and correct
    - bin/copyright-update.pl: update layout
    - bin/copyright-update.pl: perlcritic correctons
    - bin/copyright-update.pl: (Help): ignore system call error
    - bin/copyright-update.pl: (HandleFile): add comment about nested functions
    - bin/copyright-update.pl: (Initialize): rm OUTPUT_AUTOFLUSH
  * Drop 10-spelling-errors.patch, applied upstream
  * Set myself as maintainer in debian/control (Closes: #920063)
  * Update Standards-Version to 4.7.2 in debian/control
  * Update test.sh to use '-D' instead of '-d' for setting debug level

 -- Dandan Zhang <zhangdandan@loongson.cn>  Tue, 02 Sep 2025 19:56:07 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: copyright-update
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Dandan Zhang <zhangdandan@loongson.cn>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/copyright-update
 Vcs-Git: https://salsa.debian.org/debian/copyright-update.git
 Homepage: https://github.com/jaalto/project--copyright-update

=== debian/tests/control ===
Test-Command: copyright-update --help

Tests: tests.sh
Restrictions: superficial

=== debian/watch ===
version=4
https://github.com/jaalto/project--copyright-update/tags .*/(.*)\.tar\.gz
